Create External Card Transfer Reversal
curl --request POST \
--url https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"currency": "USD"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals"
payload = {
"amount": 123,
"currency": "USD"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 123, currency: 'USD'})
};
fetch('https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 123,
'currency' => 'USD'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals"
payload := strings.NewReader("{\n \"amount\": 123,\n \"currency\": \"USD\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 123,\n \"currency\": \"USD\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 123,\n \"currency\": \"USD\"\n}"
response = http.request(request)
puts response.read_body{
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"amount": 123,
"country_code": "US",
"created_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"external_card_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"id": "<string>",
"last_modified_time": "2010-05-06T12:23:34.321Z",
"merchant": {
"address": {
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"postal_code": "49633",
"state": "NY",
"address_line_2": "Suite 99"
},
"name": "<string>",
"email": "alice@example.com",
"phone_number": "+14374570680"
},
"status": "CANCELED",
"type": "PULL",
"network_decline_details": "<string>",
"reason": "<string>",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"three_ds_id": "40e2de9e-4375-4fa1-9393-92da972a9338"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}External Cards
Create External Card Transfer Reversal
Create an External Card Transfer Reversal
POST
/
external_cards
/
transfers
/
{transfer_id}
/
reversals
Create External Card Transfer Reversal
curl --request POST \
--url https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"currency": "USD"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals"
payload = {
"amount": 123,
"currency": "USD"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 123, currency: 'USD'})
};
fetch('https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 123,
'currency' => 'USD'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals"
payload := strings.NewReader("{\n \"amount\": 123,\n \"currency\": \"USD\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 123,\n \"currency\": \"USD\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 123,\n \"currency\": \"USD\"\n}"
response = http.request(request)
puts response.read_body{
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"amount": 123,
"country_code": "US",
"created_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"external_card_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"id": "<string>",
"last_modified_time": "2010-05-06T12:23:34.321Z",
"merchant": {
"address": {
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"postal_code": "49633",
"state": "NY",
"address_line_2": "Suite 99"
},
"name": "<string>",
"email": "alice@example.com",
"phone_number": "+14374570680"
},
"status": "CANCELED",
"type": "PULL",
"network_decline_details": "<string>",
"reason": "<string>",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"three_ds_id": "40e2de9e-4375-4fa1-9393-92da972a9338"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Path Parameters
Body
application/json
Details of the External Card Transfer Reversal to create
Response
External Card Transfer Reversal created
- Pull Response
- Push Response
Pull funds from an External Card
Type of operation for transfer.
| Type | Description |
|---|---|
| PUSH | Push fund to the external card from the account_id |
| PULL | Pull funds from the external card to the account_id |
| PULL_REVERSAL | Reversed pull funds transfer from an external card |
Available options:
PULL, PULL_REVERSAL, PUSH Example:
"PULL"
Was this page helpful?

